Upstream information

CVE-2013-5598 at MITRE

Description

PDF.js in Mozilla Firefox before 25.0 and Firefox ESR 24.x before 24.1 does not properly handle the appending of an IFRAME element, which allows remote attackers to read arbitrary files or execute arbitrary JavaScript code with chrome privileges by using this element within an embedded PDF object.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 8.31
Vector AV:N/AC:M/Au:N/C:C/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 847708 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • MozillaFirefox >= 31.1.0esr-1.20
  • MozillaFirefox-translations >= 31.1.0esr-1.20
Patchnames:
SUSE Linux Enterprise Desktop 12 GA MozillaFirefox
SUSE Linux Enterprise Desktop 12 SP1
  • MozillaFirefox >= 38.4.0esr-51.1
  • MozillaFirefox-translations >= 38.4.0esr-51.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA MozillaFirefox
SUSE Linux Enterprise Desktop 12 SP2
  • MozillaFirefox >= 45.4.0esr-81.1
  • MozillaFirefox-translations >= 45.4.0esr-81.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA MozillaFirefox
SUSE Linux Enterprise Server 12 SP2
  • MozillaFirefox >= 45.4.0esr-81.1
  • MozillaFirefox-translations >= 45.4.0esr-81.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA MozillaFirefox
SUSE Linux Enterprise Server 10 SP3 LTSS for x86
  • MozillaFirefox >= 24.5.0esr-0.7.2
  • MozillaFirefox-branding-SLED >= 24-0.12.1
  • MozillaFirefox-translations >= 24.5.0esr-0.7.2
  • firefox-atk >= 1.28.0-0.7.3
  • firefox-cairo >= 1.8.0-0.10.2
  • firefox-fontconfig >= 2.6.0-0.7.1
  • firefox-freetype2 >= 2.3.7-0.35.1
  • firefox-glib2 >= 2.22.5-0.13.3
  • firefox-gtk2 >= 2.18.9-0.9.2
  • firefox-gtk2-lang >= 2.18.9-0.9.2
  • firefox-libgcc_s1 >= 4.7.2_20130108-0.22.1
  • firefox-libstdc++6 >= 4.7.2_20130108-0.22.1
  • firefox-pango >= 1.26.2-0.9.2
  • firefox-pcre >= 7.8-0.8.1
  • firefox-pixman >= 0.16.0-0.7.1
  • mozilla-nspr >= 4.10.4-0.5.1
  • mozilla-nspr-devel >= 4.10.4-0.5.1
  • mozilla-nss >= 3.16-0.5.1
  • mozilla-nss-devel >= 3.16-0.5.1
  • mozilla-nss-tools >= 3.16-0.5.1
  • mozilla-xulrunner191 >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-translations >= 1.9.1.19-0.13.3
  • mozilla-xulrunner192 >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-gnome >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-translations >= 1.9.2.28-0.13.4
Builds
ZYPP Patch Nr: 8851
SUSE Linux Enterprise Server 10 SP3 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP3 LTSS for IBM zSeries 64bit
  • MozillaFirefox >= 24.5.0esr-0.7.2
  • MozillaFirefox-branding-SLED >= 24-0.12.1
  • MozillaFirefox-translations >= 24.5.0esr-0.7.2
  • firefox-atk >= 1.28.0-0.7.3
  • firefox-atk-32bit >= 1.28.0-0.7.3
  • firefox-cairo >= 1.8.0-0.10.2
  • firefox-cairo-32bit >= 1.8.0-0.10.2
  • firefox-fontconfig >= 2.6.0-0.7.1
  • firefox-fontconfig-32bit >= 2.6.0-0.7.1
  • firefox-freetype2 >= 2.3.7-0.35.1
  • firefox-freetype2-32bit >= 2.3.7-0.35.1
  • firefox-glib2 >= 2.22.5-0.13.3
  • firefox-glib2-32bit >= 2.22.5-0.13.3
  • firefox-gtk2 >= 2.18.9-0.9.2
  • firefox-gtk2-32bit >= 2.18.9-0.9.2
  • firefox-gtk2-lang >= 2.18.9-0.9.2
  • firefox-libgcc_s1 >= 4.7.2_20130108-0.22.1
  • firefox-libgcc_s1-32bit >= 4.7.2_20130108-0.22.1
  • firefox-libstdc++6 >= 4.7.2_20130108-0.22.1
  • firefox-libstdc++6-32bit >= 4.7.2_20130108-0.22.1
  • firefox-pango >= 1.26.2-0.9.2
  • firefox-pango-32bit >= 1.26.2-0.9.2
  • firefox-pcre >= 7.8-0.8.1
  • firefox-pcre-32bit >= 7.8-0.8.1
  • firefox-pixman >= 0.16.0-0.7.1
  • firefox-pixman-32bit >= 0.16.0-0.7.1
  • mozilla-nspr >= 4.10.4-0.5.1
  • mozilla-nspr-32bit >= 4.10.4-0.5.1
  • mozilla-nspr-devel >= 4.10.4-0.5.1
  • mozilla-nss >= 3.16-0.5.1
  • mozilla-nss-32bit >= 3.16-0.5.1
  • mozilla-nss-devel >= 3.16-0.5.1
  • mozilla-nss-tools >= 3.16-0.5.1
  • mozilla-xulrunner191 >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-32bit >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-gnomevfs-32bit >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-translations >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-translations-32bit >= 1.9.1.19-0.13.3
  • mozilla-xulrunner192 >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-32bit >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-gnome >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-gnome-32bit >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-translations >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-translations-32bit >= 1.9.2.28-0.13.4
Builds
ZYPP Patch Nr: 8851
SUSE Linux Enterprise Server 11 SP1 LTSS
  • MozillaFirefox >= 24.3.0esr-0.4.2.2
  • MozillaFirefox-branding-SLED >= 24-0.4.10.4
  • MozillaFirefox-translations >= 24.3.0esr-0.4.2.2
  • firefox-libgcc_s1 >= 4.7.2_20130108-0.16.1
  • firefox-libstdc++6 >= 4.7.2_20130108-0.16.1
  • libfreebl3 >= 3.15.4-0.4.2.1
  • mozilla-nspr >= 4.10.2-0.3.2
  • mozilla-nss >= 3.15.4-0.4.2.1
  • mozilla-nss-tools >= 3.15.4-0.4.2.1
Builds
SAT Patch Nr: 8898
SUSE Linux Enterprise Server 11 SP1 LTSS
  • MozillaFirefox >= 24.3.0esr-0.4.2.2
  • MozillaFirefox-branding-SLED >= 24-0.4.10.4
  • MozillaFirefox-translations >= 24.3.0esr-0.4.2.2
  • firefox-libgcc_s1 >= 4.7.2_20130108-0.16.1
  • firefox-libstdc++6 >= 4.7.2_20130108-0.16.1
  • libfreebl3 >= 3.15.4-0.4.2.1
  • libfreebl3-32bit >= 3.15.4-0.4.2.1
  • mozilla-nspr >= 4.10.2-0.3.2
  • mozilla-nspr-32bit >= 4.10.2-0.3.2
  • mozilla-nss >= 3.15.4-0.4.2.1
  • mozilla-nss-32bit >= 3.15.4-0.4.2.1
  • mozilla-nss-tools >= 3.15.4-0.4.2.1
Builds
SAT Patch Nr: 8898
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • MozillaFirefox >= 24.5.0esr-0.7.2
  • MozillaFirefox-branding-SLED >= 24-0.12.1
  • MozillaFirefox-translations >= 24.5.0esr-0.7.2
  • firefox-atk >= 1.28.0-0.7.3
  • firefox-cairo >= 1.8.0-0.10.2
  • firefox-fontconfig >= 2.6.0-0.7.1
  • firefox-freetype2 >= 2.3.7-0.35.1
  • firefox-glib2 >= 2.22.5-0.13.3
  • firefox-gtk2 >= 2.18.9-0.9.2
  • firefox-gtk2-lang >= 2.18.9-0.9.2
  • firefox-libgcc_s1 >= 4.7.2_20130108-0.22.1
  • firefox-libstdc++6 >= 4.7.2_20130108-0.22.1
  • firefox-pango >= 1.26.2-0.9.2
  • firefox-pcre >= 7.8-0.8.1
  • firefox-pixman >= 0.16.0-0.7.1
  • mozilla-nspr >= 4.10.4-0.5.1
  • mozilla-nspr-devel >= 4.10.4-0.5.1
  • mozilla-nss >= 3.16-0.5.1
  • mozilla-nss-devel >= 3.16-0.5.1
  • mozilla-nss-tools >= 3.16-0.5.1
  • mozilla-xulrunner191 >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-translations >= 1.9.1.19-0.13.3
  • mozilla-xulrunner192 >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-gnome >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-translations >= 1.9.2.28-0.13.4
Builds
ZYPP Patch Nr: 8853
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
  • MozillaFirefox >= 24.5.0esr-0.7.2
  • MozillaFirefox-branding-SLED >= 24-0.12.1
  • MozillaFirefox-translations >= 24.5.0esr-0.7.2
  • firefox-atk >= 1.28.0-0.7.3
  • firefox-atk-32bit >= 1.28.0-0.7.3
  • firefox-cairo >= 1.8.0-0.10.2
  • firefox-cairo-32bit >= 1.8.0-0.10.2
  • firefox-fontconfig >= 2.6.0-0.7.1
  • firefox-fontconfig-32bit >= 2.6.0-0.7.1
  • firefox-freetype2 >= 2.3.7-0.35.1
  • firefox-freetype2-32bit >= 2.3.7-0.35.1
  • firefox-glib2 >= 2.22.5-0.13.3
  • firefox-glib2-32bit >= 2.22.5-0.13.3
  • firefox-gtk2 >= 2.18.9-0.9.2
  • firefox-gtk2-32bit >= 2.18.9-0.9.2
  • firefox-gtk2-lang >= 2.18.9-0.9.2
  • firefox-libgcc_s1 >= 4.7.2_20130108-0.22.1
  • firefox-libgcc_s1-32bit >= 4.7.2_20130108-0.22.1
  • firefox-libstdc++6 >= 4.7.2_20130108-0.22.1
  • firefox-libstdc++6-32bit >= 4.7.2_20130108-0.22.1
  • firefox-pango >= 1.26.2-0.9.2
  • firefox-pango-32bit >= 1.26.2-0.9.2
  • firefox-pcre >= 7.8-0.8.1
  • firefox-pcre-32bit >= 7.8-0.8.1
  • firefox-pixman >= 0.16.0-0.7.1
  • firefox-pixman-32bit >= 0.16.0-0.7.1
  • mozilla-nspr >= 4.10.4-0.5.1
  • mozilla-nspr-32bit >= 4.10.4-0.5.1
  • mozilla-nspr-devel >= 4.10.4-0.5.1
  • mozilla-nss >= 3.16-0.5.1
  • mozilla-nss-32bit >= 3.16-0.5.1
  • mozilla-nss-devel >= 3.16-0.5.1
  • mozilla-nss-tools >= 3.16-0.5.1
  • mozilla-xulrunner191 >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-32bit >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-gnomevfs-32bit >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-translations >= 1.9.1.19-0.13.3
  • mozilla-xulrunner191-translations-32bit >= 1.9.1.19-0.13.3
  • mozilla-xulrunner192 >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-32bit >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-gnome >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-gnome-32bit >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-translations >= 1.9.2.28-0.13.4
  • mozilla-xulrunner192-translations-32bit >= 1.9.2.28-0.13.4
Builds
ZYPP Patch Nr: 8853
SUSE Linux Enterprise Server 11 SP2 LTSS
  • MozillaFirefox >= 24.3.0esr-0.4.2.2
  • MozillaFirefox-branding-SLED >= 24-0.4.10.4
  • MozillaFirefox-translations >= 24.3.0esr-0.4.2.2
  • firefox-libgcc_s1 >= 4.7.2_20130108-0.16.1
  • firefox-libstdc++6 >= 4.7.2_20130108-0.16.1
  • libfreebl3 >= 3.15.4-0.4.2.1
  • mozilla-nspr >= 4.10.2-0.3.2
  • mozilla-nss >= 3.15.4-0.4.2.1
  • mozilla-nss-tools >= 3.15.4-0.4.2.1
Builds
SAT Patch Nr: 8899
SUSE Linux Enterprise Server 11 SP2 LTSS
  • MozillaFirefox >= 24.3.0esr-0.4.2.2
  • MozillaFirefox-branding-SLED >= 24-0.4.10.4
  • MozillaFirefox-translations >= 24.3.0esr-0.4.2.2
  • firefox-libgcc_s1 >= 4.7.2_20130108-0.16.1
  • firefox-libstdc++6 >= 4.7.2_20130108-0.16.1
  • libfreebl3 >= 3.15.4-0.4.2.1
  • libfreebl3-32bit >= 3.15.4-0.4.2.1
  • mozilla-nspr >= 4.10.2-0.3.2
  • mozilla-nspr-32bit >= 4.10.2-0.3.2
  • mozilla-nss >= 3.15.4-0.4.2.1
  • mozilla-nss-32bit >= 3.15.4-0.4.2.1
  • mozilla-nss-tools >= 3.15.4-0.4.2.1
Builds
SAT Patch Nr: 8899
SUSE Linux Enterprise Software Development Kit 11 SP3
  • MozillaFirefox-devel >= 24.2.0esr-0.7.1
  • mozilla-nss-devel >= 3.15.3.1-0.7.1
Builds
SAT Patch Nr: 8657
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 24.2.0esr-0.7.1
  • MozillaFirefox-branding-SLED >= 24-0.7.4
  • MozillaFirefox-translations >= 24.2.0esr-0.7.1
  • libfreebl3 >= 3.15.3.1-0.7.1
  • libsoftokn3 >= 3.15.3.1-0.7.1
  • mozilla-nss >= 3.15.3.1-0.7.1
  • mozilla-nss-tools >= 3.15.3.1-0.7.1
Builds
SAT Patch Nr: 8657
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 24.2.0esr-0.7.1
  • MozillaFirefox-branding-SLED >= 24-0.7.4
  • MozillaFirefox-translations >= 24.2.0esr-0.7.1
  • libfreebl3 >= 3.15.3.1-0.7.1
  • libfreebl3-32bit >= 3.15.3.1-0.7.1
  • libsoftokn3 >= 3.15.3.1-0.7.1
  • libsoftokn3-32bit >= 3.15.3.1-0.7.1
  • mozilla-nss >= 3.15.3.1-0.7.1
  • mozilla-nss-32bit >= 3.15.3.1-0.7.1
  • mozilla-nss-tools >= 3.15.3.1-0.7.1
Builds
SAT Patch Nr: 8657
SUSE Linux Enterprise Server 11 SP3 for VMware
  • MozillaFirefox >= 24.2.0esr-0.7.1
  • MozillaFirefox-translations >= 24.2.0esr-0.7.1
  • libfreebl3 >= 3.15.3.1-0.7.1
  • libsoftokn3 >= 3.15.3.1-0.7.1
  • mozilla-nss >= 3.15.3.1-0.7.1
  • mozilla-nss-tools >= 3.15.3.1-0.7.1
Builds
SAT Patch Nr: 8657
SUSE Linux Enterprise Server 11 SP3 for VMware
  • MozillaFirefox >= 24.2.0esr-0.7.1
  • MozillaFirefox-translations >= 24.2.0esr-0.7.1
  • libfreebl3 >= 3.15.3.1-0.7.1
  • libfreebl3-32bit >= 3.15.3.1-0.7.1
  • libsoftokn3 >= 3.15.3.1-0.7.1
  • libsoftokn3-32bit >= 3.15.3.1-0.7.1
  • mozilla-nss >= 3.15.3.1-0.7.1
  • mozilla-nss-32bit >= 3.15.3.1-0.7.1
  • mozilla-nss-tools >= 3.15.3.1-0.7.1
Builds
SAT Patch Nr: 8657
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 24.2.0esr-0.7.1
  • MozillaFirefox-branding-SLED >= 24-0.7.4
  • MozillaFirefox-translations >= 24.2.0esr-0.7.1
  • libfreebl3 >= 3.15.3.1-0.7.1
  • libfreebl3-x86 >= 3.15.3.1-0.7.1
  • libsoftokn3 >= 3.15.3.1-0.7.1
  • libsoftokn3-x86 >= 3.15.3.1-0.7.1
  • mozilla-nss >= 3.15.3.1-0.7.1
  • mozilla-nss-tools >= 3.15.3.1-0.7.1
  • mozilla-nss-x86 >= 3.15.3.1-0.7.1
Builds
SAT Patch Nr: 8657
openSUSE 12.3
  • MozillaFirefox >= 25.0-1.39.1
  • MozillaFirefox-branding-upstream >= 25.0-1.39.1
  • MozillaFirefox-buildsymbols >= 25.0-1.39.1
  • MozillaFirefox-debuginfo >= 25.0-1.39.1
  • MozillaFirefox-debugsource >= 25.0-1.39.1
  • MozillaFirefox-devel >= 25.0-1.39.1
  • MozillaFirefox-translations-common >= 25.0-1.39.1
  • MozillaFirefox-translations-other >= 25.0-1.39.1
  • MozillaThunderbird >= 24.1.0-61.31.1
  • MozillaThunderbird-buildsymbols >= 24.1.0-61.31.1
  • MozillaThunderbird-debuginfo >= 24.1.0-61.31.1
  • MozillaThunderbird-debugsource >= 24.1.0-61.31.1
  • MozillaThunderbird-devel >= 24.1.0-61.31.1
  • MozillaThunderbird-translations-common >= 24.1.0-61.31.1
  • MozillaThunderbird-translations-other >= 24.1.0-61.31.1
  • enigmail >= 1.6.0+24.1.0-61.31.1
  • enigmail-debuginfo >= 1.6.0+24.1.0-61.31.1
  • mozilla-js >= 17.0.10-1.30.2
  • mozilla-js-32bit >= 17.0.10-1.30.2
  • mozilla-js-debuginfo >= 17.0.10-1.30.2
  • mozilla-js-debuginfo-32bit >= 17.0.10-1.30.2
  • mozilla-nspr >= 4.10.1-1.18.1
  • mozilla-nspr-32bit >= 4.10.1-1.18.1
  • mozilla-nspr-debuginfo >= 4.10.1-1.18.1
  • mozilla-nspr-debuginfo-32bit >= 4.10.1-1.18.1
  • mozilla-nspr-debugsource >= 4.10.1-1.18.1
  • mozilla-nspr-devel >= 4.10.1-1.18.1
  • seamonkey >= 2.22-1.25.4
  • seamonkey-debuginfo >= 2.22-1.25.4
  • seamonkey-debugsource >= 2.22-1.25.4
  • seamonkey-dom-inspector >= 2.22-1.25.4
  • seamonkey-irc >= 2.22-1.25.4
  • seamonkey-translations-common >= 2.22-1.25.4
  • seamonkey-translations-other >= 2.22-1.25.4
  • seamonkey-venkman >= 2.22-1.25.4
  • xulrunner >= 17.0.10-1.30.2
  • xulrunner-32bit >= 17.0.10-1.30.2
  • xulrunner-buildsymbols >= 17.0.10-1.30.2
  • xulrunner-debuginfo >= 17.0.10-1.30.2
  • xulrunner-debuginfo-32bit >= 17.0.10-1.30.2
  • xulrunner-debugsource >= 17.0.10-1.30.2
  • xulrunner-devel >= 17.0.10-1.30.2
  • xulrunner-devel-debuginfo >= 17.0.10-1.30.2
Patchnames:
openSUSE-2013-819
openSUSE-2013-911
openSUSE 13.2
  • MozillaFirefox >= 33.0-2.1
  • MozillaFirefox-translations-common >= 33.0-2.1
  • seamonkey >= 2.29-1.8
  • seamonkey-dom-inspector >= 2.29-1.8
  • seamonkey-irc >= 2.29-1.8
  • seamonkey-translations-common >= 2.29-1.8
  • seamonkey-venkman >= 2.29-1.8
Patchnames:
openSUSE 13.2 GA MozillaFirefox
openSUSE 13.2 GA seamonkey
openSUSE Leap 42.1
  • MozillaFirefox >= 41.0.2-1.2
  • MozillaFirefox-translations-common >= 41.0.2-1.2
Patchnames:
openSUSE Leap 42.1 GA MozillaFirefox
openSUSE Leap 42.2
  • MozillaFirefox >= 49.0.2-37.1
  • MozillaFirefox-translations-common >= 49.0.2-37.1
Patchnames:
openSUSE Leap 42.2 GA MozillaFirefox